1. Card
Español
  • Español
  • English
  • Bienvenidos
  • Online Payments
    • Card
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Request deferred options
        GET
      • Validate OTP
        POST
      • Refund a transaction
        DELETE
      • Bin Info
        GET
      • Bin Info V2
        GET
    • One Click Charges
      • Overview
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Update a recurring charge
      • Update recurring charge card data
    • Transfer in
      • Overview
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Overview
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Update a cash in transaction
      • Delete a cash in transaction
    • Chargebacks
      • Overview
      • Query chargebacks
      • Request chargeback export
    • Smartlinks
      • Overview
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Delete a Smartlink
      • Update a Smartlink
      • Create a Smartlink
    • Payment Button
      • Overview
      • Create a payment button
    • Payment Credentials
      • Overview
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
      • Search credentials
      • Delete credential
      • Create a credential
      • Advanced search
    • Gateway Status
      • Overview
      • Get gateway status
    • Analytics
      • Overview
      • Get transactions list v2
      • Get transactions list v1
    • Commissions
      • Commissions
      • Get Commission Configuration
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
  1. Card

Make a charge or deferred charge

POST
/card/v1/charges
Make a charge with a token provided by Kushki which represents the customer's credit card.
Got a suggestion on this documentation? Contact Us.

Deferred charges in Ecuador 🇪🇨#

If you perform a deferred charge with credentials of an Ecuadorian merchant, you have to set the deferred object that has the creditType, graceMonths and months.

How to obtain the available deferred options?#

As soon as your customer's card number is entered, you must use the method Request deferred options to verify if there are deferred payment options for the BIN of the card entered by the user.
In response to this call, you will receive the name of the deferral, the type (corresponds to the creditType when executing the charge), the available months and the months of grace, as shown in the following example response:
{
    "name": "Diferido con intereses",
    "type": "002",
    "months": ["3", "6"],
    "monthsOfGrace": ["1", "2", "3"]
}
Some types of deferrals that may be returned in the response are:
Diferido con meses de gracia sin intereses.
Diferido con meses de gracia con intereses.
Diferido cuota fija con intereses.
Diferido cuota fija sin intereses.
Diferido con intereses.
Diferido sin intereses.
WARNING
In any case, you should consult the request deferred options method as these vary according to the BIN of the card.

Do you have your own 3DS authentication engine?*#

Make sure you include the threeDomainSecure object in your request.
Endpoint time out: 29 sec
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Charge approved
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/card/v1/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "token": "f5c64f7ac8ea42d5a58dcdc74de973dc",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 16.98,
        "ice": 0,
        "iva": 0,
        "currency": "USD"
    },
    "metadata": {
        "Referencia": "987654"
    },
    "contactDetails": {
        "documentType": "CI",
        "documentNumber": "1716458334",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+593912345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+593912345678",
            "address1": "Eloy Alfaro 139 y Catalina Aldaz",
            "address2": "centro 123",
            "city": "Quito",
            "region": "Pichincha",
            "country": "Ecuador"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            },
            {
                "id": "198953AB",
                "title": "eBook Virtual Selling",
                "price": 6980,
                "sku": "004834GQ",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - Without fullResponse
{
    "ticketNumber": "922513792073660814",
    "transactionReference": "6f16659e-b711-4995-a9ae-161aecbd6521"
}
Modified at 2026-04-17 20:20:15
Previous
Request a card token
Next
Void a transaction
Built with